// $Id: V9990Renderer.cc,v 1.5 2005/02/28 18:57:38 m9710797 Exp $

#include "V9990Renderer.hh"
#include "RenderSettings.hh"

namespace openmsx {

/** Dummy Default Renderer. Any real renderer should override all
  * methods mentioned here...
  */
V9990Renderer::V9990Renderer()
	: settings(RenderSettings::instance())
{
}

V9990Renderer::~V9990Renderer()
{
}
	
void V9990Renderer::reset(const EmuTime& /*time*/)
{
}

void V9990Renderer::frameEnd(const EmuTime& /*time*/)
{
}

void V9990Renderer::renderUntil(const EmuTime& /*time*/)
{
}

} // namespace openmsx
